import * as core from "@terrascript/core";

export interface DsEmailIdentityArgs {
  /**
   * The email identity.
   */
  email: string | core.StringOut;
}

export class DsEmailIdentity extends core.Data<DsEmailIdentityArgs> {
  /**
   * The ARN of the email identity.
   */
  @core.attr(String, { computed: true })
  public arn!: string | core.StringOut;

  /**
   * The email identity.
   */
  @core.attr(String)
  public email!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  constructor(name: string, args?: DsEmailIdentityArgs) {
    super(name, "aws_ses_email_identity", args);
  }

  public override getNamespace(): string {
    return "aws_ses";
  }
}
